### Hierarchy

- PriceClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorGetMarketDepth
- methodDescriptorGetMarketPrice
- methodDescriptorGetMarketPrices
- options_

### Methods

- getMarketDepth
- getMarketPrice
- getMarketPrices

## Constructors

### constructor

- new PriceClient(hostname: string, credentials?: null | {}, options?: null | {}): PriceClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2343

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns PriceClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:2338

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2340

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:2339

### methodDescriptorGetMarketDepth

methodDescriptorGetMarketDepth: MethodDescriptor < MarketDepthRequest , MarketDepthReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2442

### methodDescriptorGetMarketPrice

methodDescriptorGetMarketPrice: MethodDescriptor < MarketPriceRequest , MarketPriceReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2356

### methodDescriptorGetMarketPrices

methodDescriptorGetMarketPrices: MethodDescriptor < MarketPricesRequest , MarketPricesReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2399

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2341

## Methods

### getMarketDepth

- getMarketDepth(request: MarketDepthRequest, metadata: null | Metadata ): Promise< MarketDepthReply >
- getMarketDepth(request: MarketDepthRequest, metadata: null | Metadata, callback: (err: RpcError, response: MarketDepthReply ) => void): ClientReadableStream < MarketDepthReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2453

  #### Parameters

  - ##### request: MarketDepthRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< MarketDepthReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2457

  #### Parameters

  - ##### request: MarketDepthRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: MarketDepthReply ) => void

    - - (err: RpcError, response: MarketDepthReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: MarketDepthReply

        #### Returns void

  #### Returns ClientReadableStream < MarketDepthReply >

### getMarketPrice

- getMarketPrice(request: MarketPriceRequest, metadata: null | Metadata ): Promise< MarketPriceReply >
- getMarketPrice(request: MarketPriceRequest, metadata: null | Metadata, callback: (err: RpcError, response: MarketPriceReply ) => void): ClientReadableStream < MarketPriceReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2367

  #### Parameters

  - ##### request: MarketPriceRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< MarketPriceReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2371

  #### Parameters

  - ##### request: MarketPriceRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: MarketPriceReply ) => void

    - - (err: RpcError, response: MarketPriceReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: MarketPriceReply

        #### Returns void

  #### Returns ClientReadableStream < MarketPriceReply >

### getMarketPrices

- getMarketPrices(request: MarketPricesRequest, metadata: null | Metadata ): Promise< MarketPricesReply >
- getMarketPrices(request: MarketPricesRequest, metadata: null | Metadata, callback: (err: RpcError, response: MarketPricesReply ) => void): ClientReadableStream < MarketPricesReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2410

  #### Parameters

  - ##### request: MarketPricesRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< MarketPricesReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2414

  #### Parameters

  - ##### request: MarketPricesRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: MarketPricesReply ) => void

    - - (err: RpcError, response: MarketPricesReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: MarketPricesReply

        #### Returns void

  #### Returns ClientReadableStream < MarketPricesReply >

Generated using TypeDoc